find_package(TBB REQUIRED)
find_package(Boost REQUIRED COMPONENTS filesystem system)

include_directories(${TBB_INCLUDE_DIRS})
include_directories(${Boost_INCLUDE_DIRS})
include_directories("../utils")
add_executable(COFLIP2D main.cpp COFLIPSolver2D.cpp ../utils/writeBMP.cpp)
target_link_libraries(COFLIP2D ${TBB_LIBRARIES})
target_link_libraries(COFLIP2D ${Boost_LIBRARIES})